%define upstream_name    App-SmokeBox-PerlVersion
%define upstream_version 0.16

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:    SmokeBox helper module to determine perl version
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/App/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(IPC::Cmd)
BuildRequires: perl(POE)
BuildRequires: perl(POE::Quickie)
BuildArch: noarch


%description
App::SmokeBox::PerlVersion is a simple helper module for the
App::SmokeBox::Mini manpage and the minismokebox manpage that determines
and version and architecture of a given 'perl' executable.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc README LICENSE Changes META.yml META.json
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.160.0-11.mga10
+ Revision: 2211726
- Mageia 10 Mass Rebuild

* Mon Mar 28 2022 umeabot <umeabot> 0.160.0-10.mga9
+ Revision: 1829915
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.160.0-9.mga8
+ Revision: 1492733
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.160.0-8.mga7
+ Revision: 1265690
- Mageia 7 Mass Rebuild

* Sat Jun 18 2016 pterjan <pterjan> 0.160.0-7.mga6
+ Revision: 1022556
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 0.160.0-6.mga6
+ Revision: 949114
- Mageia 6 Mass Rebuild

* Sun Oct 19 2014 umeabot <umeabot> 0.160.0-5.mga5
+ Revision: 789105
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.160.0-4.mga5
+ Revision: 746013
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.160.0-3.mga5
+ Revision: 683525
- Mageia 5 Mass Rebuild

* Mon Oct 21 2013 umeabot <umeabot> 0.160.0-2.mga4
+ Revision: 538355
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 sander85 <sander85> 0.160.0-1.mga4
+ Revision: 489325
- update to 0.16

* Fri Sep 27 2013 sander85 <sander85> 0.140.0-1.mga4
+ Revision: 488086
- update to 0.14

* Sun Sep 15 2013 sander85 <sander85> 0.120.0-1.mga4
+ Revision: 479969
- update to 0.12

* Wed Aug 28 2013 sander85 <sander85> 0.100.0-1.mga4
+ Revision: 472684
- update to 0.10

* Sun Jan 13 2013 umeabot <umeabot> 0.80.0-2.mga3
+ Revision: 363083
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Jan 24 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 36143
- mageia rebuild
- imported package perl-App-SmokeBox-PerlVersion


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.80.0-1mdv2011.0
+ Revision: 625083
- import perl-App-SmokeBox-PerlVersion

